package cc.fascinated.bat.features.base.commands.fun.image;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.Category;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
@CommandInfo(name = "image", description = "View a random image", guildOnly = false, userInstall = true, category = Category.FUN)
public class ImageCommand extends BatCommand {
    @Autowired
    public ImageCommand(@NonNull ApplicationContext context) {
        super.addSubCommands(
                context.getBean(CatSubCommand.class),
                context.getBean(DogSubCommand.class),
                context.getBean(FoxSubCommand.class),
                context.getBean(DuckSubCommand.class)
        );
    }
}
